# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name zip-archive

%global common_summary Haskell %{pkg_name} library

%global common_description The zip-archive library provides functions for creating, modifying,\
and extracting files from zip archives.

Name:           ghc-%{pkg_name}
Version:        0.1.1.8
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2+
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-digest-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-zlib-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.1.1.8-2
- change prof BRs to devel

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.1.1.8-1
- update to 0.1.1.8

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.1.1.7-6
- update to cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1.1.7-5.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.1.1.7-5.1
- rebuild with new gmp

* Fri Sep 30 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.7-5
- rebuild against latest digest library

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.7-4
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Sat May 28 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.7-3
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.1.1.7-2
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.7-1
- update to 0.1.1.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.1.1.6-5
- update to cabal2spec-0.22.4

* Tue Dec 21 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-4
- install COPYING instead

* Fri Dec 10 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-3
- include the COPYING file (#652573)

* Thu Dec  2 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-2
- also depends on binary (#652573)

* Thu Dec  2 2010 Jens Petersen <petersen@redhat.com> - 0.1.1.6-1
- GPLv2+
- depends on digest, mtl, utf8-string, zlib

* Fri Nov 12 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.1.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
